pcl::ColorLUT< T > Class Template Reference

`#include <pcl/common/colors.h>`

## Static Public Member Functions

static RGB | at (std::size_t color_id)
| Get a color from the lookup table with a given id. More...
static std::size_t | size ()
| Get the number of colors in the lookup table. More...
static const unsigned char * | data ()
| Get a raw pointer to the lookup table. More...

## Detailed Description

### template<ColorLUTName T>
class pcl::ColorLUT< T >

Definition at line 62 of file colors.h.

## Member Function Documentation

## at()

template<ColorLUTName T>

static RGB pcl::ColorLUT< T >::at | ( | std::size_t | color_id | ) |

static

Get a color from the lookup table with a given id.

The id should be less than the size of the LUT (see size()).

Referenced by pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getColor().

## data()

template<ColorLUTName T>

static const unsigned char* pcl::ColorLUT< T >::data | ( |  | ) |

static

Get a raw pointer to the lookup table.

## size()

template<ColorLUTName T>

static std::size_t pcl::ColorLUT< T >::size | ( |  | ) |

static

Get the number of colors in the lookup table.

Note: the number of colors is different from the number of elements in the lookup table (each color is defined by three bytes).

Referenced by pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getColor().

The documentation for this class was generated from the following file:

- pcl/common/colors.h